package com.chenyang.nse.bussiness.service.info.db;

import com.power.xml.entity.ColumnInfo;
import java.sql.Connection;
import java.text.MessageFormat;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TERADATA extends CommonMethod implements DatabaseTool {
   public static final String fastexportname = "fastexport";
   public static final String fastloadname = "fastload";
   public static final String multiloadname = "multiload";
   public static final String fastexportmark = "快速导出";
   public static final String fastloadmark = "快速导入";
   public static final String multiloadmark = "multiload";
   public static final String[][] exporttype = new String[][]{{"fastexport", "快速导出", "selected"}};
   public static final String[][] importtype = new String[][]{{"fastload", "快速导入", "selected"}};

   public String ImportMethod() {
      StringBuffer targetradio = new StringBuffer();
      targetradio.append("<select name='execution_type' >");

      for(String[] radio : importtype) {
         targetradio.append(MessageFormat.format(this.sourceradio(), "'" + radio[0] + "'", radio[1], radio[2]));
      }

      targetradio.append("</select>");
      return targetradio.toString();
   }

   public String ExportMethod() {
      StringBuffer sourceradio = new StringBuffer();
      sourceradio.append("<select name='execution_type' >");

      for(String[] radio : exporttype) {
         sourceradio.append(MessageFormat.format(this.sourceradio(), "'" + radio[0] + "'", radio[1], radio[2]));
      }

      sourceradio.append("</select>");
      return sourceradio.toString();
   }

   public Map TargetParameter_normal() {
      Map<String, String> map = this.TargetParameter_fnormal();
      return map;
   }

   public Map TargetParameter_normal1() {
      Map<String, String> map = this.TargetParameter_fnormal();
      return map;
   }

   public Map TargetParameter_notNormal() {
      Map<String, String> map = new HashMap();
      map.put("targetParameter", this.isrebuild());
      return map;
   }

   public List<StringBuffer> SynTriggersParam(Connection s_conn, Map map) {
      return null;
   }

   public List<StringBuffer> SynFunctionParam(Connection s_conn, Map map) {
      return null;
   }

   public List<StringBuffer> SynProcedureParam(Connection s_conn, Map map) {
      return null;
   }

   public ColumnInfo getPwc_columnInfo_target(Map map) {
      ColumnInfo columnInfo = this.getPwc_columnInfo_target_all_base(map);
      return columnInfo;
   }

   public ColumnInfo getPwc_columnInfo_source(Map map) {
      ColumnInfo columnInfo = this.getPwc_columnInfo_source_all_base(map);
      return columnInfo;
   }

   public List<StringBuffer> SynViewParam(Connection srcconn, Map map) {
      return null;
   }

   public String SynConstraintParam(Connection srcconn, Map map) {
      return null;
   }

   public String SynPartition(Connection s_conn, Map map) {
      return null;
   }

   public Map TargetParameter_normalEM() {
      return null;
   }
}
